#!/usr/bin/env python

try:
    import pygtk
    pygtk.require("2.0")
except:
    pass

GETTEXT_DOMAIN = 'create_background_slideshow'

import locale
import gettext
import __builtin__
from gtk                import glade

from crebs.info         import LOCALE_DIR

locale.setlocale(locale.LC_ALL, '')
for module in gettext, glade:
    module.bindtextdomain(GETTEXT_DOMAIN, LOCALE_DIR)
    module.textdomain(GETTEXT_DOMAIN)

__builtin__._ = gettext.gettext
__builtin__.N_ = gettext.ngettext

# Define application details
__builtin__.APP_NAME      = _("Create Background Slideshow")
__builtin__.APP_VERSION   = "0.9.6.2"
if _("Create Background Slideshow") == "Create Background Slideshow":
    __builtin__.APP_LONG_NAME = "{0} {1}".format(APP_NAME, APP_VERSION)
else:
    __builtin__.APP_LONG_NAME = "Create Background Slideshow ({0}) {1}".format(APP_NAME, APP_VERSION)

# Lazy way to get .desktop comment translated
DESKTOP_COMMENT = _("Choose a set of images for desktop wallpaper that changes periodically.")

from crebs.args         import parse_inv_args
from crebs.debug        import report, report_options
from crebs.gui          import CrebsGui
from crebs.cli          import cli


def main():
    """Parses command-line options and arguments, sets up basic data, and starts the application."""

    # Parse invocation arguments and set up default data
    (files, options) = parse_inv_args(APP_LONG_NAME)

    # Debugging information
    report_options(5, options, files)

    report(3, "======= LET'S GO! =======")

    # Continue, either in GUI- or CLI-mode
    if options.gui:
        CrebsGui(files, options).show()
    else:
        cli(files, options)

    report(3, "======== THE END ========")

