#!/usr/bin/env python

import gconf
from crebs.debug import report


def set_wallpaper(s_filename):
    """Sets the slideshow as the wallpaper."""

    report(2, _("Setting slideshow as current background..."))

    success = False
    try:
        client = gconf.client_get_default()
    except:
        report(2, _("Failure: Unable to create gconf client."), 0.5)
        raise
    else:
        if not client.set_string("/desktop/gnome/background/picture_filename", s_filename):
            report(2, _("Failure: Unable to set wallpaper with gconf."), 0.5)

        else:
            report(3, "Success.", 0.5)
            success = True

    return success

